Create outbound payment intent
Create an outbound payment intent (bill). After create, send company users to /dashboard/bills?view=pay-bill&id=new&paymentIntentUid={uid} to pay the bill, using the uid from this response. To let them review the bill first, link to /dashboard/bills?view=payment-intent&id={uid} instead.
Required Scopes:
payment_intent.outbound:write transactions:read
Body·
- Type: stringaddendamin length:1max length:80required
Payment intent description, which will also be used as the addenda on any payments made on the payment intent.
- Type: stringFormat: decimaltotalrequired
The total amount due for the payment intent. Must be greater or equal to 1.00.
- Type:vendorrequired{ email, name, phone, +2 }Properties: 5
A dictionary containing information about the vendor to which the payment intent belongs. The name/uid will be used to match an existing vendor and update it with the data provided. If a match does not exist, a new vendor will be created.
- Type: string | nullFormat: datedue
_date The due date for payment of payment intent. Must be a string with format YYYY-MM-DD representing a date in the future.
- Type: stringmemomax length:500
A private memo for internal use.
- Type: stringnotemax length:500
A note to the payee/vendor.
- Type: stringFormat: uuidwallet
_uid The uid of the company wallet that should fund the payment. Omit to use the company's primary wallet.
Responses
- application/json
- application/json
curl https://api.foundation.dev.trusspayments.com/v1/payment-intents/outbound/ \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"total": "",
"addenda": "",
"note": "",
"memo": "",
"due_date": null,
"vendor": {
"uid": "",
"name": "",
"email": "",
"secondary_email": null,
"phone": null
},
"wallet_uid": ""
}'
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"total": "string",
"addenda": "string",
"direction": 0,
"note": null,
"memo": null,
"due_date": null,
"contact": {
"uid": "123e4567-e89b-12d3-a456-426614174000",
"name": "string",
"email": null,
"secondary_email": null,
"phone": null,
"oauth_connection_id": "123e4567-e89b-12d3-a456-426614174000"
},
"wallet_uid": null,
"status": "string",
"balance_paid": "string",
"checkout_url": null,
"created_at": "2026-10-05T22:18:11.401Z",
"pending_at": null,
"paid_at": null,
"canceled_at": null,
"transactions": [
{
"uid": "123e4567-e89b-12d3-a456-426614174000",
"amount": "string",
"addenda": null,
"type": "transaction",
"payment_method": "ach",
"date": "2026-10-05T22:18:11.401Z",
"preprocessed_at": "2026-10-05T22:18:11.401Z",
"processed_at": "2026-10-05T22:18:11.401Z",
"posted_at": "2026-10-05T22:18:11.401Z",
"settled_at": "2026-10-05T22:18:11.401Z",
"returned_at": "2026-10-05T22:18:11.401Z",
"status": "ReturnedTransaction",
"direction": 0
}
]
}
